/*------------------------------------------------------------
 * Hide offscreen menu when classic is on
 * Only for desktops, smaller screens still need it
 * as a responsive fallback
 *
 * Hide classic menu for mobile
 *------------------------------------------------------------*/

@media @desktop {
	.hygge-nav--mobile-btn,
	.hygge-nav--mobile,
	.hygge-nav--mobile-mask {
		display: none !important;
	}
}





/*------------------------------------------------------------
 * Navigation
 *------------------------------------------------------------*/

// Dropdown icon

// .menu .menu-item-has-children > a i.has-dropdown-icon,
.hygge-nav--mobile-btn i.has-dropdown-icon {
	display: inline-block;
	margin-left: 4px;
	width: 4px;
	height: 8px;
	padding-top: 2px;
	border-top-width: 1px;
	border-top-style: solid;
	margin-right: -8px;

	&:before {
		content: '';
		display: block;
		width: 100%;
		height: 4px;
		border-top-width: 1px;
		border-top-style: solid;
		border-bottom-width: 1px;
		border-bottom-style: solid;
	}
}

// Mobile menu button
.hygge-nav--mobile-btn {
	position: relative;
	display: block;
	text-align: center;
	margin: 20px 0;
	z-index: 2;
	padding: 3px 10px;
	line-height: 1;
	.link-color(@black, @primary-color);
	.transition;

	.hygge-nav--mobile & {
		background: @black;
		color: @white;
		float: right;
		margin: 0 0 30px;

		.dark-mode& {
			background: @white;
			color: @black;
		}
	}
}



// Mobile overlay navigation
.hygge-nav--mobile {

	z-index: 5;
	height: 100%;
	width: 100%;
	background: @grey-pale;

	.dark-mode& {
		background: @black;
	}

	position: fixed;
	top: 0;
	overflow: hidden;
	opacity: 0;
	visibility: hidden;
	.transition;

	.admin-bar & {
		top: 32px;
		height: ~"calc(100% - 32px)";
	}

	.nano-content {
		height: 100%;
		overflow-y: scroll;
		-webkit-overflow-scrolling: touch;

		&-inwrap {
			position: relative;
			min-height: 100%;
			padding: 30px 30px 100px;
		}
	}

	.hygge-nav-open & {
		opacity: 1;
		visibility: visible;
	}

	img { display: none; }


	// Menu
	.menu {
		.font--navigation;
		overflow: hidden;
		width: 100%;
		margin-bottom: 30px;

		ul {
			padding: 0;
			margin: 0;
			list-style: none;
		}

		li {
			margin: 0;
			padding: 0;
		}

		strong {
			font-weight: inherit;
		}

		a {
			position: relative;
			display: inline-block;
			padding: 5px 0px;
			.link-color( @black, @black );

			.dark-mode& {
				.link-color( @white, @white );
			}

			&:after {
				content: "";
				display: block;
				margin: 5px auto 0;
				border-top: 1px solid @black;
				margin-left: 0;
				width: 0;
				.transition;

				.dark-mode& {
					border-color: @white;
				}
			}

			&:hover {
				text-decoration: none;

				&:after {
					width: 100%;
				}
			}
		}

		.media { display: none; }

		& > ul > li {
			ul {
				padding-bottom: 10px;
				padding-left: 20px;


				a {
					.link-color( @grey, @black );

					.dark-mode& {
						.link-color( @grey-light, @white );
					}
				}

				ul {
					padding-top: 10px;
					padding-bottom: 10px;
				}
			}
		}
	}

	.widget + .widget {
		margin-top: 1em;
	}

	.search-form {
		position: absolute;
		bottom: 30px;
		left: 30px;
		right: 30px;
	}

	@media @tablet {
		.menu > ul {
			-webkit-columns: 330px 2;
			columns: 330px 2;
			-webkit-column-gap: 40px;
			column-gap: 40px;

			li {
				-webkit-column-break-inside: avoid;
				page-break-inside: avoid;
				break-inside: avoid;
			}
		}
	}

} // /mobile nav



/*------------------------------------------------------------
 * Classic Menu
 *------------------------------------------------------------*/

.hygge-nav--classic {
	.font--navigation;

	.menu {
		position: relative;
	}

	ul {
		padding: 0;
		margin: 0;
		list-style: none;
		text-align: left;
	}

	li {
		display: inline-block;
		margin: 0;
		padding: 0;
		.transition;

		& + li {
			margin-left: -0.3em;
		}

		strong {
			font-weight: inherit;
		}

		.media {
			display: none;
		}

		&:hover {
			z-index: 2;
		}
	}

	a {
		position: relative;
		display: block;
		color: @black;
		height: 60px; // make sure height is 60px because dropdown
		padding: 24px 15px 21px;

		&:hover {
			text-decoration: none;
		}

		img { display: none; }

		.dark-mode & {
			color: @white;

			&:hover {
				color: @grey-pale;
			}
		}
	}


	/* Level: 0
	 *------------------------------------------------------------*/

	& > .menu > ul {

		float: left;

		&:hover {
			& > li > a { color: @grey; }
			& > li:hover > a { color: @black; }

			.dark-mode & {
				& > li > a { color: @grey-label; }
				& > li:hover > a { color: @white; }
			}
		}

		& > li {

			&:first-child a {
				padding-left: 0;
			}

			& > a {
				// prevent transition of padding that clashes with sticked menu height calc
				.transition(~"color 0.25s cubic-bezier( 0.4, 0, 0.3, 1 )");
				padding-bottom: 0;

				&:after {
					content: '';
					position: relative;
					display: block;
					width: 30px;
					height: 3px;
					background: @primary-color;
					margin: 18px auto 0;
					pointer-events: none;
					.transition;
					opacity: 0;
					z-index: 2;
					.translateY( -5px );
				}
			}

			&.current-menu-item > a:after,
			&.current-menu-ancestor > a:after,
			&:hover > a:after {
				opacity: 1;
				.translateY(0);
			}

			&.hygge-megamenu .current-menu-item > a strong:after{
				width: 100%;
				opacity: 1;
			}

			// Level 1+
			.sub-menu {
				position: absolute;
				// top: 100%;
				top: 60px; //force exact dropdawn in case of multi-row nav
				left: 0;
				width: 100%;
				text-align: center;
				opacity: 0;
				visibility: hidden;
				z-index: -1;
				pointer-events: none; // prevent lingering drop-downs
				.translateY( -20px );
				.transition;

				&:before {
					content: '';
					.placement;
					background: rgba(0,0,0,0.02);

					.dark-mode & {
						background: rgba(255,255,255,0.02);
					}
				}

				.sub-menu{
					&:before { background: rgba(0,0,0,0.04); }
					.sub-menu{
						&:before { background: rgba(0,0,0,0.02); }
					}

					.dark-mode & {
						&:before { background: rgba(255,255,255,0.04); }
						.sub-menu{
							&:before { background: rgba(255,255,255,0.02); }
						}
					}
				}

				a {
					font-size: 1.2em;
					.link--underline;
				}

				li.current-menu-item > a:after,
				li.current-menu-ancestor > a:after,
				li:hover > a:after {
					opacity: 1;
					width: 100%;
				}
			}
		}
	}

	/* Levels: 1+ */
	.menu-item-language:hover,
	.menu-item-has-children:hover {

		body:not(.ajax-loading-start) & > ul {
			opacity: 1;
			visibility: visible;
			z-index: 1;
			pointer-events: auto;
			.translateY(0);
		}
	}



	/* MegaMenu
	 *------------------------------------------------------------*/

	& .hygge-megamenu {
		position: static;

		a { height: auto; }

		& > .sub-menu {
			width: 100%;
			display: flex;
			justify-content: center;
			align-items: stretch;

			a[href="#"],
			a:not([href]) {
				pointer-events: none;

				&:after {
					opacity: 0 !important;
				}
			}

			a i { display: none; }

			li + li {
				margin-left: auto;
			}

			// Lvl 1: Make columns
			& > li {
				position: relative;
				flex-grow: 1;
				flex-basis: 0;
				padding: 40px 0;

				& > a {
					padding-top: 5px;
					padding-bottom: 20px;
				}
			}

			// Levels 2+
			.sub-menu {
				position: static;
				opacity: 1;
				visibility: visible;
				width: auto;
				padding: 0;
				background: none;
				transform: none;
				margin: 0;

				li {
					display: block;

					a {
						padding-top: 7px;
						padding-bottom: 7px;
						font-size: inherit;
					}
				}
			}
		}

		&.hygge-megamenu_img_hide {
			.sub-menu:before { content: none !important; }

			& > .sub-menu > li {
				&:before {
					content: '';
					.placement;
					background: rgba(0,0,0,0.02);

					.dark-mode & {
						background: rgba(255,255,255,0.02);
					}
				}

				&:nth-child(even):before {
					background: rgba(0,0,0,0.04);
					.dark-mode & {
						background: rgba(255,255,255,0.04);
					}
				}
			}
		}

		// Don't hide featured images
		&:not(.hygge-megamenu_img_hide) {

			& > .sub-menu {
				padding-left: 50px;
				padding-right: 50px;
			}

			img {display: block;}

			ul a {
				&:after { content: none !important; }

				& > strong {
					display: inline-block;
					.link--underline;
				}

				&:hover {
					.hygge-media-hover__hover { opacity: 0.7; }
					.hygge-media-hover__img {
						filter: gray; /* IE 6-9 */
						-webkit-filter: grayscale(100%);
						filter: grayscale(100%);
					}

					strong:after {
						opacity: 1;
						width: 100%;
					}

					.color--false {
						.hygge-media-hover__hover { opacity: 0;}
						.hygge-media-hover__img {
							-webkit-filter: grayscale(70%);
							filter: grayscale(70%);
						}
					}
				}
			}

			ul a.has-image {
				padding: 0 5px 0;
				margin: 0;
				border-bottom: none;

				strong {
					padding: 20px 20px 0;
				}

			}
		}
	}

} // /hygge-nav--classic
